View Issue Details

IDProjectCategoryView StatusLast Update
0000192Silver Monkey[All Projects] Bug Reportspublic2018-04-14 09:26
ReporterDav_Edward 
Assigned Togerolkae 
PriorityhighSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version10
Product Version2.19. Beta 4 
Target Version2.19.x.Fixed in Version2.19. Beta 7 
Summary0000192: bot dies when people speak in brackets
DescriptionEvery time a character speaks by typeing a colon and two brackets with a message, the bot dies with the error Furcadia Session error:Value cannot be null.Engine.BotSession.Bot

Last few lines from Debug Window:
[DEBUG]Thread+11 11-Apr-2018 00:00:28:207 - ProxySession (ParseServerData): ]-#Aw81>,E0>,,05>#¡'
[DEBUG]Thread+11 11-Apr-2018 00:00:28:207 - ProxySession (SendToClient): ]-#Aw81>,E0>,,05>#¡'
[DEBUG]Thread+11 11-Apr-2018 00:00:28:207 - ProxySession (ParseServerData): (<font color='emote'><name shortname='solariastarwisp'>Solaria|Starwisp</name>[and they died when I spoke, odd]</font>
[DEBUG]Thread+11 11-Apr-2018 00:00:28:219 - ProxySession (ParseServerChannel): <font color='emote'><name shortname='solariastarwisp'>Solaria|Starwisp</name>[and they died when I spoke, odd]</font>
Steps To ReproduceFor my setup:
Bot settings: MS Connection Enable is on, Standalone is on

Bot is nearby owner when owner speaks :[message] it promptly crashes
TagsNo tags attached.

Relationships

Activities

gerolkae

2018-04-14 09:26

administrator   ~0000490

OOC brackets do not matter, SM does not have a means to process these.

The Issue turned out to be a faulty Regex and Group matching in the Channel Parser

Issue History

Date Modified Username Field Change
2018-04-11 18:41 Dav_Edward New Issue
2018-04-12 20:27 gerolkae Target Version => 2.19.x.
2018-04-12 20:30 gerolkae Assigned To => gerolkae
2018-04-12 20:30 gerolkae Status new => assigned
2018-04-14 09:26 gerolkae Status assigned => closed
2018-04-14 09:26 gerolkae Resolution open => fixed
2018-04-14 09:26 gerolkae Fixed in Version => 2.19. Beta 7
2018-04-14 09:26 gerolkae Note Added: 0000490